%define	libname		libpanel_applet
%define	major		0

Summary:	The core programs for the GNOME GUI desktop environment
Name:		gnome-core
Version:	1.4.0.6
Release:	12mdk
License:	LGPL/GPL
Group:		Graphical desktop/GNOME

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-core/%{name}-%{version}.tar.bz2
Source1:	netscape.png
Source2:	Settings.order
Source4:	Gnome.session
Source5:	gnome-core.menumethod.bz2
Source6:	gnome-ccdesktop.png
Source7:	gnome-devel.png
Source8:	gnome-gnomoku.png
Source9:	gnome-multimedia.png
Source10:	gnome-panel.png
Source13:	gnome-util.png
Source14:	gnome-applications.png
Source18:	gnome-terminal.xpm  
Source19:	gnome-terminal32.xpm  
Source20:	gnome-terminal48.xpm  
Source21:	gnome-settings.png
Source23:	gnome-ccscreensaver.png
Source24:	gnome-session.png

Source25:	startgnome.bz2
Source26:	panel.config.bz2
Source28:	esound.png
Source29:	gnome-desktop.bz2
Source30:	gnome-sort-menu.pl.bz2
Source31:	gnome-core-simplified.menumethod.bz2

Source32:	gnome-core-root-Background
Source33:	gnome-core-root-gnome-hint

# David - 1.4.0.6-7mdk - Add support for commercial CD. Following file is added
#                        on desktop by /usr/bin/startgnome
Source34:	gnome-core-1.4.0.6-8.2-cdcom.desktop

###############
#Ximian patches#
###############

## Fix color of gnome-hint border
Patch1:		gnome-hint-ugly_blue.patch.bz2
# rounded corner for top level menubar
Patch2:		gnome-core-rounded.patch.bz2

##################
#mandrake patches#
##################

# (fc) 1.2.4-1mdk mdk customization
Patch15:	gnome-core-1.4.0.6-mdk-customization.patch.bz2
Patch22:	gnome-core-mdk-splash.patch.bz2
Patch23:	gnome-core-1.4.0-mdk-session.patch.bz2
# (fc) 1.2.4-3mdk patch to recognize -geometry and -T options in gnome-terminal
Patch24:	gnome-core-1.4.0-geometry.patch.bz2
# (fc) 1.4.0.4-4mdk detect if halt is autorized by pam to reboot
Patch25:	gnome-core-1.4.0.4-halt.patch.bz2
# (fc) 1.4.0.4-10mdk fix backspace/delete in terminal (rawhide)
Patch26:	gnome-core-1.4.0.4-swapbs.patch.bz2
# (fc) 1.4.0.4-10mdk translate font for terminal (rawhide)
Patch27:	gnome-core-1.4.0.4-translatefont.patch.bz2
# (fc) 1.4.0.6-3mdk fix default help file
Patch28:    gnome-core-1.4.0.6-fix-help.patch.bz2
# (fc) 1.4.0.6-4mdk fix browsing mode of gnome-hint and fix fixed font warning
Patch29:    gnome-core-1.4.0.6-gnome-hint.patch.bz2
# (fc) 1.4.0.6-8mdk use xlock instead of xscreensaver to lock root desktop
Patch30:    gnome-core-1.4.0.6-rootlock.patch.bz2
# (fc) 1.4.0.6-11mdk fix redirect in manpage
Patch31:    gnome-core-1.4.0.6-redirectedman.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	gnome
Provides:   gnome
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	control-center-devel
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	gcc
BuildRequires:	gnome-common
BuildRequires:	gnome-print-devel
BuildRequires:	intltool >= 0.17
BuildRequires:	libglade-devel
BuildRequires:	libgtkxmhtml1
BuildRequires:	scrollkeeper
BuildRequires:	sgml-tools
BuildRequires:	sharutils
BuildRequires:	tcp_wrappers-devel
BuildRequires:	xpm-devel

Requires:   sawfish, mandrake_desk >= 8.0-6mdk
Requires:   menu >= 2.1.5-91mdk
# (Renaud) This one makes gnome-core dependent of nautilus or gmc ?!
Requires:   gnome-desktop
Requires:	xscreensaver
# needed for gnome-sort-menu.pl
Requires:   basesystem
PreReq:		scrollkeeper

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software. 
The gnome-core package includes the basic programs and libraries that are 
needed to install GNOME.

You should install the gnome-core package if you would like to use the GNOME
desktop environment. You'll also need to install the gnome-libs package. If you
want to use linuxconf with a GNOME front end, you'll also need to install the
gnome-linuxconf package.

%package -n %{libname}%{major}
Summary:	GNOME applet panel libraries
Group:		Graphical desktop/GNOME

%description -n %{libname}%{major}
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software. 
The gnome-core package includes the basic programs and libraries that are
needed to install GNOME.

Panel libraries for running GNOME panels.

%package -n %{libname}%{major}-devel
Summary:	GNOME core libraries, includes and more
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	gnome-libs-devel
Obsoletes:  %{name}-devel
Provides:   %{name}-devel = %{version}
Provides:	%{libname}-devel = %{version}

%description -n %{libname}%{major}-devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
cp %{SOURCE6} pixmaps/
cp %{SOURCE7} pixmaps/
cp %{SOURCE8} pixmaps/
cp %{SOURCE9} pixmaps/
cp %{SOURCE10} pixmaps/
cp %{SOURCE13} pixmaps/
cp %{SOURCE21} pixmaps/
cp %{SOURCE23} pixmaps/
cp %{SOURCE23} pixmaps/
cp %{SOURCE24} pixmaps/

%patch1 -p1 -b .ugly_blue
%patch2 -p1 -b .rounded

#careful, this patch depend on patch2
%patch15 -p 1 -b .mdkcustomization
%patch22 -p 1 -b .mdksplash
%patch23 -p 1 -b .mdksession
%patch24 -p 1 -b .geometry
%patch25 -p 1 -b .halt
%patch26 -p 1 -b .swapbs
%patch27 -p 1 -b .translatefont
%patch28 -p 1 -b .help
%patch29 -p 1 -b .hintbrowse
%patch30 -p 1 -b .rootlock
%patch31 -p 1 -b .redirectman

# needed to fix comment translation in .desktop
xml-i18n-toolize --force

# needed by latest libtool
aclocal -I /usr/share/aclocal/gnome-macros
autoconf

#needed by patch2 and 28
automake

%build

%configure --without-kde-datadir --with-window-manager=sawfish --disable-alsa

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk
ln -s ../../icons/large/mandrake.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk/mandrake.png

cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/ #netscape.png

cp %{SOURCE28} $RPM_BUILD_ROOT%{_datadir}/pixmaps/esound.png

# Menu support
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/simplified
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/gnome-core
bzcat %{SOURCE31} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/simplified/gnome-core

bzcat %{SOURCE30} > $RPM_BUILD_ROOT%{_bindir}/gnome-sort-menu.pl

# (dam's) Menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
#Section menu
?package(%{name}): needs=gnome section="Configuration" title="Gnome" icon="%{_datadir}/pixmaps/gnome-logo-icon-transparent.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Desktop" icon="%{_datadir}/pixmaps/gnome-ccdesktop.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Multimedia" icon="%{_datadir}/pixmaps/gnome-multimedia.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Peripherals" icon="%{_datadir}/pixmaps/gnome-ccperiph.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="User Interface" icon="%{_datadir}/pixmaps/gnome-multimedia.png"
#
?package(%{name}): command="%{_bindir}/gnome-about" icon="%{_datadir}/pixmaps/gnome-default-dlg.png" longtitle="About Gnome desktop" title="About Gnome" needs=gnome section="Documentation"
?package(%{name}): command="%{_bindir}/gnome-help-browser" icon="%{_datadir}/pixmaps/gnome-help.png" longtitle="Integrated help system(info, man, HTML)" title="Help System" needs=gnome section="Documentation"
?package(%{name}): command="%{_bindir}/save-session" icon="" longtitle="" title="Save current session" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/session-properties-capplet" icon="" longtitle="Configure which non-session aware programs are started up" title="Startup Programs" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/session-properties" icon="" longtitle="Session Manager Properties" title="Session Manager Properties" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/gnome-hint-properties-capplet" icon="%{_datadir}/pixmaps/gnome-hint.png" longtitle="Options for the startup hint dialog" title="Startup Hint" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="NO_XALF %{_bindir}/gnome-terminal --use-factory --start-factory-server" icon="gnome-terminal.xpm" longtitle="Terminal of the Gnome desktop" title="Gnome terminal" needs="gnome" section="Terminals"
?package(%{name}): command="%{_bindir}/gnome-terminal --use-factory --start-factory-server" icon="gnome-terminal.xpm" longtitle="Terminal of the Gnome desktop" title="Gnome terminal" needs="x11" section="Terminals"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %SOURCE18 $RPM_BUILD_ROOT%{_miconsdir}
install -m 644 %SOURCE19 $RPM_BUILD_ROOT%{_iconsdir}/gnome-terminal.xpm
install -m 644 %SOURCE20 $RPM_BUILD_ROOT%{_liconsdir}/gnome-terminal.xpm


rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-suse.png

# gdm session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/02gnome
NAME=Gnome
ICON=gnome-logo-icon-transparent.xpm
DESC=Gnome Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

# remove out of date docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-intro

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config-override
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/distribution-menus/Mandrake

bzcat %{SOURCE25} > $RPM_BUILD_ROOT%{_bindir}/startgnome
bzcat %{SOURCE29} > $RPM_BUILD_ROOT%{_bindir}/gnome-desktop
bzcat %{SOURCE26} > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/panel
cat << EOF >  $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/Background
[Default]
color1=#21449c
color2=#ffffff
simple=solid
gradient=vertical
wallpaper=none
nautilus_them=default
Enabled=true
wallpaperAlign=1
wallpaper0=none
wallpapers=1
EOF
cat << EOF >  $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/session-options
[Options]
AutoSave=false
EOF


install -d %buildroot/%_datadir/mdk/gnome/root/
install -m644 %SOURCE32 %buildroot/%_datadir/mdk/gnome/root/Background
install -m644 %SOURCE33 %buildroot/%_datadir/mdk/gnome/root/gnome-hint


install -d -m 0755 %buildroot/%_datadir/mdk/cdcom/
install -m 0644 %SOURCE34 %buildroot/%_datadir/mdk/cdcom/cdcom-gnome.desktop


%find_lang %{name} --with-gnome --all-name


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{make_session}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/bin/gnome-terminal 10

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig
  
%postun
%{clean_menus}
%{make_session}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
if [ "$1" = "0" ]; then
		update-alternatives --remove xvt /usr/bin/gnome-terminal
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applets
%{_datadir}/mc/templates
%{_datadir}/pixmaps/*.xpm
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/fish
%{_datadir}/pixmaps/mailcheck
%{_datadir}/pixmaps/splash
%{_datadir}/pixmaps/tiles
%{_datadir}/pixmaps/mdk/*
%{_datadir}/idl/*
%{_datadir}/gnome-about
%{_datadir}/gnome-terminal
%dir %{_datadir}/omf/gnome-core
%{_datadir}/omf/gnome-core/*-C.omf
%lang(da) %{_datadir}/omf/gnome-core/*-da.omf
%lang(de) %{_datadir}/omf/gnome-core/*-de.omf
%lang(es) %{_datadir}/omf/gnome-core/*-es.omf
%lang(eu) %{_datadir}/omf/gnome-core/*-eu.omf
%lang(it) %{_datadir}/omf/gnome-core/*-it.omf
%lang(ja) %{_datadir}/omf/gnome-core/*-ja.omf
%lang(no) %{_datadir}/omf/gnome-core/*-no.omf
%{_mandir}/*/*
%dir %{_datadir}/gnome
%{_datadir}/gnome/apps
%dir %{_datadir}/gnome/distribution-menus
%dir %{_datadir}/gnome/distribution-menus/Mandrake
%dir %{_datadir}/gnome/help
%{_datadir}/gnome/hints
%{_datadir}/gnome/html
%{_datadir}/gnome/panel
%dir %_datadir/mdk/
%dir %_datadir/mdk/cdcom/
%_datadir/mdk/cdcom/*.desktop
%dir %_datadir/mdk/gnome/
%dir %_datadir/mdk/gnome/root/
%_datadir/mdk/gnome/root/Background
%_datadir/mdk/gnome/root/gnome-hint
%{_datadir}/control-center/*/*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%attr(755,root,root) %{_sysconfdir}/menu-methods/*
%config(noreplace) %{_datadir}/gnome/default.session
%config(noreplace) %{_datadir}/gnome/default.wm
%dir %{_sysconfdir}/gnome
%dir %{_sysconfdir}/gnome/config
%config(noreplace) %{_sysconfdir}/gnome/config/*
%dir %{_sysconfdir}/gnome/config-override
%dir %{_sysconfdir}/gnome/panel-config/
%config(noreplace) %{_sysconfdir}/gnome/panel-config/panel
%dir %{_sysconfdir}/gnome/panel-config/panel.d
%dir %{_sysconfdir}/gnome/panel-config/panel.d/default
%config(noreplace) %{_sysconfdir}/gnome/panel-config/panel.d/default/*
%{_menudir}/*
%{_miconsdir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*

%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*
#These are in gnome-core because the shared libraries applets need the .so
#files around.
%{_libdir}/lib*.so

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*.sh
%{_libdir}/*a
%{_includedir}/*

%changelog
* Fri Mar 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-12mdk
- Update patch 15 to not show Programs menu for Basque locale and to display
  Mandrake menu in "add to Favorites/Launcher"

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-11mdk
- Patch31: fix redirected manpages
- Update source 34 : fix icon name
- Rebuild with new intltools, to fix translated comments in .desktop

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-10mdk
- Fix error message in startgnome when .gnome doesn't exist

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-9mdk
- Update menu methods to translate title if longtitle is not available,
  encode simplified menu in UTF-8

* Tue Mar  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-8mdk
- Fix startgnome to not try to modify .gnome/panel when it doesn't exist
- Update patch 22 to display an icon for gnome-desktop
- Patch 30: use xlock instead of xscreensaver to lock root desktop, fix
  xscreensaver started when user is root

* Thu Feb 28 2002 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.6-7mdk
- Add support for CD com

* Wed Feb 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-6mdk
- Update source25 to fix Menu key binding when upgrading from old distro
- Update patch24 to support -T for gnome-terminal (needed for xvt compatibility)
- Rewrite gnome-sort-menu in perl for better performance and update menu method
  (with help of lord pixel) 

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.6-5mdk
- integrated Basque help files
- use find_lang --with-gnome --all-name to find all help files

* Thu Feb 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-4mdk
- Regenerate patch 1 to use default mdk blue color
- Regenerate patch 22: Remove Gmc session (replaced by Classic session)
- Patch 29: fix gnome-hint browse command line flags and fix font warnings

* Tue Feb 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-3mdk
- Patch 28 : fix default help file (thanks to Gtz Waschk)
- Remove source22, Update patch : use icons from menu package
- Update patch 15: use new name from Windows key, add Evolution to default panel
- Disable autosave for sessions

* Mon Feb 11 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.6-2mdk
- BuildRequires

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.6-1mdk
- Release 1.4.0.6

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.5-2mdk
- Add support for "What to do ?" menu

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.5-1mdk
- Release 1.4.0.5
- Remove patches 13, 17, 28 (merged upstream), 14 (merged in patch14)
- Regenerate patch 2, 14, 22, 25, 27 (part has been merged)

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-24mdk
- Update patch 22 with new location for some icons
- Recompiled against latest libcapplet

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.4-23mdk
- BuildRequires: scrollkeeper

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-22mdk
- Add lang tag to help files (Thanks to to Gtz Waschk)

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.4-21mdk
- BuildRequires: bonobo-devel

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-20mdk
- Libification
- Patch28: fix compilation with latest version of GNOME 1 platform

* Wed Oct 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.4-19mdk
- BuildRequires: libxml-devel

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.0.4-18mdk
- added a warning about the dependency on gnome-desktop, which requires 
nautilus or gmc; this is a real problem when rebuilding nautilus, which 
requires gnome-core-devel...

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.0.4-17mdk
- rebuilt with libpng3

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-16mdk
- Fix startgnome with good root detection
- Regenerate patch 17 to fix problem with some laptops and 'r' and 'g' keys

* Wed Sep 19 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.4-15mdk
- rewrite menu-methods to use utf-8 in output; now GNome supports it, and it
  soles various charset problems

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-14mdk
- Remove patch9 (merged in patch 27)
- Patch26 (Rawhide): fix backspace/delete in terminal
- Patch27 (Rawhide): translate font for terminal
- Update patch 14 : remove old mdk link, use Galeon by default on panel

* Mon Sep 17 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.4-13mdk
- Fix xsetroot color for root (a little more)

* Mon Sep 17 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.4-12mdk
- Fix xsetroot color for root

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.4-11mdk
- BuildRequires: flex xml-i18n-tools
- Remove redundant BuildRequires

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.4-10mdk
- rebuild including latest translations

* Mon Aug 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-9mdk
- Fix source 30 to check if first argument is a directory

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-8mdk
- Update patch 15 to support simplified menus

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-7mdk
- update source25: Galeon is used for BROWSER variable if present. if not, nautilus
- Fix default background color

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-6mdk
- Add source30: sort GNOME menu

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-5mdk
- Add dependency on xscreensaver

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-4mdk
- Patch24 : detect if halt has right to shutdown as user

* Mon Jun  4 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4.0.4-2mdk
- BuildRequires: sharutils

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-1mdk
- Release 1.4.0.4
- Regenerate patch 22 to use standard gnome splash screen now
- Remove source27 (Mdk splash screen)

* Fri May  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.3-1mdk
- Release 1.4.0.3
- Use gnome-terminal factory
- Merge patches 10 & 18 in patch 15 to use Mdk customization settings
- Remove patch19
- Regenerate patch 14
- New patch2 (from Ximian) : rounded toplevel menubar

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-2mdk
- Update folder icon
- Add support for MandrakeSoft menu
- Add Help icon on panel

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-4mdk
- Correct menu entries and dispatch them to correct packages

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-3mdk
- Set initial background for both background applet and nautilus

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-2mdk
- Disable merging mdk menu in gnome menu
- Update patch 23
- Update start script and initial session (for nautilus and gmc)
- Requires virtual package gnome-desktop (provided by nautilus and gmc)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Add libglade0-devel in BuildRequires (Thanks to Petit Bouchon)

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Patch 24 : gnome-terminal recognizes -geometry

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- No longer provide separate default.in file, standard one is ok
- Patch 23 : patch default.in to use nautilus by default
- Update patch 22: use nautilus icon for splash screen, use esound.png for sound

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4mdk
- Correct description

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Update scrollkeeper database in install scripts

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Remove patches 11,16, 21 (merged upstream)
- Regenerate patches 14, 15, 17

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Recompiled against latest glib/gtk

* Mon Feb 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4
- Regenerate patch 13 (partially merged), 14, 15, 18
- Move autoconf automake calls to prep stage
- Copy gnome-mixer.png as esound.png to having a working splash screen
- Keyboard focus is on Yes when logging out (patch from GNOME CVS)
- Change menu merge directory from /etc/X11/applnk to /usr/share/gnome/distribution-menus/Mandrake
- Use new feature from menudrake to disable mdk customizations (previously in panel settings)
- provides xvt 

* Mon Jan 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-41mdk
- corrected typo in menu (s/Backgroung/Background/)

* Wed Oct 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-40mdk
- Remove unwanted logo (correct bug 884)

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-39mdk
- New splash screen

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-38mdk
- Remove uneeded watch

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-37mdk
- Update patch15 for new menu behaviour
- Add dependency on menudrake

* Thu Oct 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-36mdk
- Set HELP_BROWSER

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-35mdk
- Update patch18 (new location of Gnome Settings menu entry)

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-34mdk
- Correct link to control center
- Remove dependency on xscreensaver
- correct perms on startgnome
- Call script to create links for desktop backgrounds

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-33mdk
- Fix menu

* Thu Sep 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-32mdk
- Change default settings for Gnome-terminal (Patch from Redhat)
- Remove gnome-edit menu entry
- Correct patch 15 and requires gtk+mdk for patch 15 locale 

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-31mdk
- Change default size of icons for screen width > 1024
- Regenerate patch14

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-30mdk
- Correct settings menu in menubar (Thanks Andreas Simon)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-29mdk
- Patch for menu/run key support
- Add i18n for previous patch for menu

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-28mdk
- Small fix for menu

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-27mdk
- Revert change in wmsession
- new splash screen

* Tue Sep 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-26mdk
- Re-add missing pixmaps (thanks Dadou)

* Mon Sep 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-25mdk
- correct small glitch in user menu
- update icons searching in menu-method (done now in gnome-libs)
- embed menu-entries in specfile

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-24mdk
- Correct again menu handling
- Use more macros

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-23mdk
- Correct target directory for user menu in menu-method

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-22mdk
- Merge menu patches
- Correct wmsession file to be kdm compliant

* Fri Sep  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-21mdk
- Change default icons and applets for initial panel startup

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-20mdk
- Change name of wmsession.d file

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-19mdk
- Specify default key for opening Menu

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-18mdk
- Provide startgnome script

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-17mdk
- Provide /etc/gnome directory
- use find_lang

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-16mdk
- Rebuild to correct provides
- add noreplace to make rpmlint happy

* Mon Aug 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-15mdk
- corrected English typo in menu entries
- made catalog files language dependent

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-14mdk
- correct bz2 patch to support both info and man bzipped files
- call autoheader and autoconf in setup (required by bz2 patch)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-13mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-12mdk
- Really really remove dependency on ALSA !!!

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-11mdk
- really remove dependency on alsa

* Wed Jul 26 2000 dam's <damien@mandrakesoft.com> 1.2.1-10mdk
- corrected postun macros
- spec cleanup.

* Tue Jul 25 2000 dam's <damien@mandrakesoft.com> 1.2.1-9mdk
- disable-alsa
- uses some menu/session macros

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-8mdk
- BM + macroszification
- update to use wmsession.d from mandrake_desk
- use tmpdir variable for BuildRoot

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.2.1-7mdk
- updated applets launched by default.

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.2.1-6mdk
- use new patch2 : panel-saner_mdk-1.2.patch

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-5mdk
- build against current libbz2
- use new macros

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.1-4mdk
- Add patch to detect/compile bzip2 1.0.

* Fri Jun 23 2000 dam's <damien@mandrakesoft.com> 1.2.1-3mdk
- Replaced helix graphics by mandrake's ones.

* Thu Jun 22 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- removed require on sawmill.

* Sat Jun 10 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- release from helix.
- cleanup spec.

* Sat May  6 2000 dam's <damien@mandrakesoft.com> 1.1.9-7mdk
- Changed default font of gnome-terminal.

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-6mdk
- by default applications are kept above the panel.

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-5mdk
- remove the settings entry in foobar.
- add hints file .
- some applets (gnomecc & gnome-terminal) in panel.
- mdk menu system is now at top of root (kick ass ;-)

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.9-4mdk
- updated menu method to use big icons first and to translate menu
sections.

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 1.1.9-3mdk
- changed gnome-folder.png
- added fndSession call.
- corrected menuentries path
- added gnome-terminal icons

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-2mdk
- changed gnome-folder.png

* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-1mdk
- release 1.1.9 from helix
- cleanup spec 
- fix applet menu entries ! doesn't work at all

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.1.8.1-5mdk
- menu entries and icons corrections.

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 1.1.8.1-4mdk
- added gnome specific menu entries.

* Mon Apr 17 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.8.1-3mdk
- *.so file moved to package core 'cause some shared libraries applets needs them
- build from mandrake spec file (as Pablo asks ;-)) but merge with helix spec
- include quicklaunch applet
- default wm is Sawmill

* Tue Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.55-5mdk
- support of our own menu entry.
- hardcoded kde menus entry thrown away
- added menu support.
- merge with Fred (lepied) spec file(fix menu-method).

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.55-4mdk
- moved some remaining devel files to the devel package.
- added menu method.

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.0.55-3mdk
- change group
- rebuild

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.55-1mdk
- Change the splash patch to load the mandrake pics.

* Tue Dec 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.55 "Lake Effect"

* Sat Nov 06 1999 Pablo Saratxag <pablo@mandrakesoft.com>
- 1.0.54

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- defaults, and splash patch from pablo

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Sane SMP building.
- 1.0.53 :
	- Redo bzip2 patch
	- Redo htmlicon patch

* Wed Oct 06 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.52

* Tue Aug 05 1999 Pablo Saratxag <pablo@mandrakesoft.com>
- added latest translations from CVS

* Sun Jul 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.9 lets see how much stuff we can break ;)
- hacked some stuff out of newsession patch inserted it into newsession2 (easier to maintain) 
- some minor tweakings

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release (5mdk).

* Sun Jul 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a nice icon
- added es,fr,wa descritpions

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement.

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- gnome-1.0.6.
- Merging with RedHat version :
    - fixed file list to include shared libs in gnome-core which are required 
    by applets which are dynamically loaded
    - fix leaks in gnome-pager
    - pager fix for infinite redraws
    - turned off http transport in help browser (it is not a web browser)
    - patch to gnome-session to read GDM_LANG env and set LANG,etc properly
    - another fix for pager
    - remove out-of-date documentaton
    - applied patch that affected gnome pager if you switched window managers
    - fixed splash screen sm handling
    - changed gnome-terminal to use 'fixed' by defualt
    - made help-browser not spout out debugging info
    - fixed many warning messages and other visual glitches

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove dependancy on enlightenment
- use gnome-wm as default window manager (=shell script that execs
  whatever window manager is present, respecting the WINDOW_MANAGER
  env variable)

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle bzip2ed man pages

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Mon Apr 5 1999 Michael Fulbright <drmike@redhat.com>
- updates to owen's session management code
- fixed cdplayer_applet to work if no disc in initially
- included asclock theme data in file list

* Thu Apr 1 1999 Owen Taylor <otaylor@redhat.com>
- updates for gnome-core-1.0.4. 
- changes to provide a simpler session management UI

* Thu Apr 1 1999 Michael Fulbright <drmike@redhat.com>
- added handle and incorporated quicklaunch-applet 0.8

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added devel requirement for gnome-libs-devel and removed prereq for 
  install-info

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- added gdm session script for GNOME
- patched help browser to resize properly

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- added quicklaunch applet

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix from ewt to make menubar not show up on initilization if not set on

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- make all tiles grey by default
- reverted gsm code back to 1.0.1 code so startup properties will work
- made misc-fixed font default so we get pipe characters back
- moved %{_sysconfdir}/X11/applink to /etc/X11/applnk

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt against libghttp 1.0.0
- added kde menu reading code

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- added requirement for enlightenment
- added code to merge RH gnome desktop entries into panel menu

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gnome-libs with db1

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8.1 release
- replaced bad netscape.png with acceptable one
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8 release

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.7 release with empty dir panel menu hack

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to use enlightenment (again)

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5.1

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to run enlightenment

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- hacked in new default page and logo for help-browser

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree
